ARES_VERSION(3)

NAME
ares_version - Get the version number of the library

SYNOPSIS
#include <ares.h>
const char *ares_version(int *version)

DESCRIPTION
The ares_version(3) function gets the library version as a string and optionally as an integer stored in the version argument. If you pass a NULL, no integer is attempted to be returned. The integer is built up as 24bit number, with 8 separate bits used for major number, minor number and patch number. This makes a version string such as 1.2.3 will be returned as the hexadecimal number 0x010203 (decimal 66051).

SEE ALSO
ares_init(3), ares_library_init(3)